<?php
require('../conexion.php');

$nombre_receta = $_POST['nombre_receta'];
$clave_receta = $_POST['clave_receta'];


$receta_existente= query("SELECT id 'ID' FROM receta A WHERE A.rec_clave='$clave_receta'");

if ($receta_existente->num_rows > 0) {
    $salida=0;
    
}else{
    
    
    $con = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
    $salida=1;
    $query ="INSERT INTO receta VALUES(null,'$nombre_receta','$clave_receta', '','Alta', CURRENT_TIME(),CURRENT_TIME())";  // cambio en los estatus
    mysqli_query($con, $query);
    $receta_id = mysqli_insert_id($con);


    $consulta = "INSERT INTO receta_materia_prima (id,map_id, rec_id, rem_costo_unico, rem_unidad_medida, rem_entrada, rem_estatus, created_at, updated_at) VALUES ";

    $valores = array();

    foreach ($_POST as $key => $value) {
        
        if (substr($key, 0, 14) == "clave_materia_") {
            // Obtiene el número de grupo a partir del nombre del input
            $grupo = substr($key, 14);
            // Obtiene los valores correspondientes a cada campo y los agrega al array de valores
            $clave_materia = $_POST['clave_materia_'.$grupo];
            $cantidad_materia = $_POST['cantidad_'.$grupo];
            $precio_unico_materia = $_POST['precio_unico_materia_'.$grupo];
            $unidad_materia = $_POST['unidad_materia_'.$grupo];
            $id_materia = $_POST['id_materia_'.$grupo];
            $datos_map = query("SELECT map_costo_unico 'MAP_COSTO' FROM materia_prima WHERE id='$id_materia'");
            $result=mysqli_fetch_assoc($datos_map);
            $rem_costo_uni=$result['MAP_COSTO']*$cantidad_materia;
            $valores[] = "(null,'$id_materia','$receta_id','$rem_costo_uni','$unidad_materia', '$cantidad_materia','alto',CURRENT_TIME(),CURRENT_TIME())";
            //echo  $cantidad_materia;
    }
    }
    // Agrega los valores al final de la consulta SQL
    $consulta .= implode(", ", $valores);
    $resultado = mysqli_query($con, $consulta);
    $query_update_receta_costo= "SELECT SUM(rem_costo_unico) 'COSTO' FROM receta_materia_prima WHERE rec_id='$receta_id '";
    $result=mysqli_query($con,$query_update_receta_costo);
    $res= mysqli_fetch_assoc( $result);
    $costo= $res['COSTO'];
    $query_update_receta="UPDATE receta SET rec_costo='$costo' WHERE id='$receta_id'";
    $resultado = mysqli_query($con, $query_update_receta);
    $con->close();
}

echo $salida;
?>